org.apache.http.impl.conn

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.http.impl.conn.DefaultHttpResponseParserFactory

- All Implemented Interfaces:
    HttpMessageParserFactory < HttpResponse >

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpResponseParserFactory
      extends Object
      implements HttpMessageParserFactory<HttpResponse>

  默认工厂用于响应消息解析器。
  从以下版本开始：
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpResponseParserFactory` | `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `DefaultHttpResponseParserFactory()`
    `DefaultHttpResponseParserFactory(HttpResponseFactory responseFactory)`
    `DefaultHttpResponseParserFactory(LineParser lineParser, HttpResponseFactory responseFactory)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMessageParser<HttpResponse>` | `create(SessionInputBuffer buffer, MessageConstraints constraints)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final DefaultHttpResponseParserFactory INSTANCE

  - ### 构造方法详细信息

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(LineParser lineParser,
                                          HttpResponseFactory responseFactory)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(HttpResponseFactory responseFactory)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory()

  - ### 方法详细信息

    - #### create

          public HttpMessageParser<HttpResponse> create(SessionInputBuffer buffer,
                                               MessageConstraints constraints)

      Specified by:
        `create`在界面 `HttpMessageParserFactory<HttpResponse>`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585